/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.el.convert;

import junit.framework.TestCase;

public class DelegationIfNecessityConverterTest extends TestCase {

	public void testConstructor(){
		try{
			new DelegationIfNecessityConverter(null);
			fail();
		}catch(final NullPointerException expected){
		}
	}
	
	public void testNormal(){
		final Convertable c = new DelegationIfNecessityConverter(new FixConverter("piyo"));
		assertNull(c.convert(null, Integer.class, "hoge"));
		assertEquals(new Integer(0), c.convert(new Integer(0), null, "hoge"));
		assertEquals(new Integer(0), c.convert(new Integer(0), Integer.class, "hoge"));
		assertEquals(new Integer(0), c.convert(new Integer(0), Object.class, "hoge"));
		assertEquals("piyo", c.convert(new Integer(0), String.class, "hoge"));
	}
}
